Summary:	A library that help use hebrew dates.
Name:		libhdate
Version:	1.4.8
Release:	1
License:	GPL
Group:		System Environment/Libraries
Source:		libhdate-%{version}.tar.gz

BuildRoot: /var/tmp/%{name}-buildroot

%description
LibHdate is a small C,C++ library for Hebrew dates,
holidays, and reading sequence (parasha). It is using 
the source code from Amos Shapir's "hdate" package fixed and 
patched by Nadav Har'El. The Torah reading sequence
is from tables by Zvi Har'El.

Install libhdate to use Hebrew dates, 
or build applications that use them.

   Yaacov Zamir <kzamir@walla.co.il>

%prep

%setup

%build
%configure --enable-python --enable-perl --enable-pascal --with-perl-sitelib-dir=/usr/lib/perl5/site_perl --with-python-sitelib-dir=/usr/lib/python2.4

%{__make} %{?_smp_mflags}

%install
%__make DESTDIR=$RPM_BUILD_ROOT install

# Remove duplicate docs (oron)
rm -rf $RPM_BUILD_ROOT/usr/doc
# Remove duplicate mans (kobi)
rm -rf $RPM_BUILD_ROOT/usr/man

%clean
%__rm -r $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_libdir}/libhdate.so*
%{_prefix}/share/locale/*
%{_bindir}/*
%{_prefix}/share/man/man1/*
%{_prefix}/share/doc/libhdate/README
%{_prefix}/share/doc/libhdate/hdate_README
%{_prefix}/share/doc/libhdate/COPYING
%{_prefix}/share/doc/libhdate/AUTHORS
%{_prefix}/share/doc/libhdate/ChangeLog
%{_prefix}/share/doc/libhdate/INSTALL
%{_prefix}/share/doc/libhdate/NEWS
%{_prefix}/share/doc/libhdate/TODO
%{_prefix}/share/doc/libhdate/USE
%{_prefix}/share/doc/libhdate/ABOUT-NLS

%doc hdate_README README AUTHORS NEWS USE ABOUT-NLS COPYING ChangeLog INSTALL TODO USE

%package devel
Summary:	Development files for %{name}
Group:		Development/Libraries
Requires:	%{name} = %{version}

%description devel
This package contains headers and support files required
to build new applications with %{name}

%files devel
%defattr(-,root,root)
%{_libdir}/libhdate.a
%{_libdir}/libhdate.la
%{_includedir}/hdate.h
%{_includedir}/hdatepp.h
%{_libdir}/pkgconfig/*
%{_prefix}/share/man/man3/hdate.h.3.gz
%{_prefix}/share/man/man3/hdate_struct.3.gz
%{_prefix}/share/doc/libhdate/examples/*

%package python
Summary:	Python binding for %{name}
Group:		Development/Libraries
Requires:	%{name} = %{version}

%description python
This package contains %{name} binding to python

%files python
%defattr(-,root,root)
%{_libdir}/python2.4/_hdate.so
%{_libdir}/python2.4/hdate.py

%package perl
Summary:	Perl binding for %{name}
Group:		Development/Libraries
Requires:	%{name} = %{version}

%description perl
This package contains %{name} binding to perl

%files perl
%defattr(-,root,root)
%{_libdir}/perl5/site_perl/hdate.pm
%{_libdir}/perl5/site_perl/auto/hdate/hdate.so

%package pascal
Summary:	free pascal binding for %{name}
Group:		Development/Libraries
Requires:	%{name} = %{version}

%description pascal
This package contains %{name} binding to free pascal

%files pascal
%defattr(-,root,root)
%{_libdir}/fpc/2.0.2/units/linux/hdate/*

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%changelog
* Fri Nov 25 2005 Oron Peled <oron@actcom.co.il>
  - Fix ownership of -devel packages.

* Thu Mar 4 2005 Yaacov Zamir
  - Add python and perl packages
  - Add manfiles

* Thu Feb 24 2005 Oron Peled <oron@actcom.co.il>
  - Split to normal runtime and -devel packages (like most
    libraries do)
  - Run ldconfig in post install/uninstall
  - Remove duplicate documentation in /usr/doc (bad location
    anyway)
  - Run configure macro, so all dirs get their default values
  - Use smp_mflags macro for build
  - Change tagname from Copyright (deprecated) to License
  - Format header tags and spell correction in description
